gif.hpp File Reference

Image class for gif files. More...

`#include <claw/color_palette.hpp>`
`#include <claw/functional.hpp>`
`#include <claw/image.hpp>`
`#include <claw/iterator.hpp>`
`#include <claw/lzw_decoder.hpp>`
`#include <claw/types.hpp>`
`#include <list>`

Go to the source code of this file.

## Classes

class | claw::graphic::gif
| A class for gif pictures. More...
class | claw::graphic::gif::frame
| One frame in the animation. More...
class | claw::graphic::gif::reader
| This class reads data from a gif file. The image is resized to the size of the screen (as defined in the gif file) and the frames are stored in a list of frames passed as parameter. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::graphic
| Everything about image structures and processing.

## Functions

void | std::swap (claw::graphic::gif &a, claw::graphic::gif &b)
| Swap the content of two gifs.

## Detailed Description

Image class for gif files.

Author
  Julien Jorge

Definition in file gif.hpp.

## Function Documentation

## swap()

void std::swap | ( | claw::graphic::gif & | a,
|  | claw::graphic::gif & | b )

Swap the content of two gifs.

Parameters

  a | The gif to swap with b.
  b | The gif to swap with a.

Definition at line 235 of file gif.cpp.

References claw::graphic::gif::swap().